Subject: bug#62573: closed (Re: bug#62573: 29.0.60; Cursor color not being inverted in emacs-29)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Apr 2023 11:36:02 +0000

Your bug report

#62573: 29.0.60; Cursor color not being inverted in emacs-29

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62573: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62573
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62573: 29.0.60; Cursor color not being inverted in emacs-29
From: Eli Zaretskii <[email-masked]>
To: Daniel Martín <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 08 Apr 2023 14:36:13 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Daniel Martín <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,  Al Haji-Ali
>  <[email-masked]>
> Date: Thu, 06 Apr 2023 12:12:04 +0200
> 
> OK, I've removed the trailing underscore in the other macros as well.
> 
> Here's a new patch with the requested changes.  If everything looks
> good, could someone install the patch for me?  (I don't have push access
> to the repository.)

Thanks, installed, and closing the bug.

Subject: 29.0.60; Cursor color not being inverted in emacs-29
From: Al Haji-Ali <[email-masked]>
To: [email-masked]
Date: Fri, 31 Mar 2023 19:34:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed a change in the default cursor colour of emacs 29. It seems that in emacs 28.2 (at least) the cursor colour is inverted when it is on a background of the same colour but in emacs 29 the cursor colour is not changed making it impossible to see.

For example, the following code inserts text with a black background (same as the cursor colour). When the cursor is on top of this text in emacs 28.2 it becomes yellow'ish but it is invisible in emacs 29.

;; Start with emacs -Q

(fundamental-mode)

(defface my-back-face
  '((t :foreground "yellow"
       :background "black"))
  "Testing.")

(let ((current-string "\ntext to insert"))
  (put-text-property 0 (length current-string)
		     'face 'my-back-face
                     current-string)
  (insert current-string))

How can I get the emacs 28.2 behaviour? Maybe this should be the default behaviour in emacs 29?

-- Al